Subject: Re: [PATCH] pathspec: adjust prefixlen after striping trailing slash

From: Junio C Hamano <[email-masked]>
Date: Sun, 19 Apr 2015 22:37:24 -0700

Duy Nguyen <[email-masked]> writes:

> But if you look at it another way, "cd subrepo; git add ." should be
> the same as "git add subrepo" ...

Once you cd into "subrepo", you are in a different world, a world
different from the toplevel project.  "git add ." over there should
mean "add everything in subproject's working tree to subproject's
index", shouldn't it?  On the other hand, "git add subrepo" without
leavingin the working tree of the superproject is about binding the
submodule to the superproject's index.

I do not think these two should be the same.  Where am I mistaken?